Ed448PrivateKeyParameters (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.crypto.params

## Class Ed448PrivateKeyParameters

- java.lang.Object
- - org.bouncycastle.crypto.params.AsymmetricKeyParameter
  - - org.bouncycastle.crypto.params.Ed448PrivateKeyParameters

- All Implemented Interfaces:
    CipherParameters

      public final class Ed448PrivateKeyParameters
      extends AsymmetricKeyParameter

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `KEY_SIZE`
    `static int` | `SIGNATURE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Ed448PrivateKeyParameters(byte[] buf)`
    `Ed448PrivateKeyParameters(byte[] buf, int off)`
    `Ed448PrivateKeyParameters(java.io.InputStream input)`
    `Ed448PrivateKeyParameters(java.security.SecureRandom random)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `encode(byte[] buf, int off)`
    `Ed448PublicKeyParameters` | `generatePublicKey()`
    `byte[]` | `getEncoded()`
    `void` | `sign(int algorithm, byte[] ctx, byte[] msg, int msgOff, int msgLen, byte[] sig, int sigOff)`
    `void` | `sign(int algorithm, Ed448PublicKeyParameters publicKey, byte[] ctx, byte[] msg, int msgOff, int msgLen, byte[] sig, int sigOff)` Deprecated. use overload that doesn't take a public key

    - ### Methods inherited from class org.bouncycastle.crypto.params.AsymmetricKeyParameter

      `isPrivate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### KEY_SIZE

          public static final int KEY_SIZE

      See Also:
        Constant Field Values

    - #### SIGNATURE_SIZE

          public static final int SIGNATURE_SIZE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Ed448PrivateKeyParameters

          public Ed448PrivateKeyParameters(java.security.SecureRandom random)

    - #### Ed448PrivateKeyParameters

          public Ed448PrivateKeyParameters(byte[] buf)

    - #### Ed448PrivateKeyParameters

          public Ed448PrivateKeyParameters(byte[] buf,
                                           int off)

    - #### Ed448PrivateKeyParameters

          public Ed448PrivateKeyParameters(java.io.InputStream input)
                                    throws java.io.IOException

      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### encode

          public void encode(byte[] buf,
                             int off)

    - #### getEncoded

          public byte[] getEncoded()

    - #### generatePublicKey

          public Ed448PublicKeyParameters generatePublicKey()

    - #### sign

          public void sign(int algorithm,
                           Ed448PublicKeyParameters publicKey,
                           byte[] ctx,
                           byte[] msg,
                           int msgOff,
                           int msgLen,
                           byte[] sig,
                           int sigOff)

      Deprecated. use overload that doesn't take a public key

    - #### sign

          public void sign(int algorithm,
                           byte[] ctx,
                           byte[] msg,
                           int msgOff,
                           int msgLen,
                           byte[] sig,
                           int sigOff)